View Issue Details

IDProjectCategoryView StatusLast Update
0001649PartDesignBugpublic2017-01-17 18:13
ReporterSternaAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacbook Pro late 2011OSOS XOS Version10.9.4
Product Version0.14 
Target VersionFixed in Version0.17 
Summary0001649: Chaning names on Pads does not change them everywere
DescriptionIf I rename an object the new name is not used for any objects referencing this object. The default name is used. For example if you perform a polar pattern feature on a pad, the name that appears in the field "Original feature" is the default name (such as "PadXXX"). This bug leads to confusion, especially for projects with many features.

This bug might be part of the Topological naming interface group (Issue 0000876).
Steps To ReproduceAttached a file to show the bug.
1. Select the feature "Toothpad" (original name Pad001).
2. Choose Polar pattern feature.
3. The name in the field "original feature" is "Pad001" instead of "Toothpad".
TagsNo tags attached.

Relationships

has duplicate 0002111 closed FreeCAD  Dialogs (like linear pattern) should not show internal name of an object but their labels as in the tree view 

Activities

Sterna

2014-07-29 21:21

reporter  

gearTest2.FCStd (10,669 bytes)

shoogen

2014-07-29 21:24

developer   ~0004874

You can't rename an Object. You can only change the Label.
Maybe we should show the Label in the original field data. (and offer the real name as a tooltip)

wmayer

2014-07-30 11:08

administrator   ~0004878

Actually, throughout the GUI the Label should be used. For a normal user the internal name is of no interest. It's only interesting for Python coders and therefore we write the internal name of the object in the status bar when (pre-)selecting it.

wmayer

2016-10-21 13:47

administrator   ~0007408

git show c92dbb3
git show 58cb2e2
git show 36b3d33
git show 991d766
git show 9c49a0b

Related Changesets

FreeCAD: master c92dbb32

2016-10-21 15:19:20

wmayer

Details Diff
issue 0001649: Changing names on Pads does not change them everywere Affected Issues
0001649
mod - src/Mod/PartDesign/Gui/TaskPolarPatternParameters.cpp Diff File

FreeCAD: master 58cb2e2d

2016-10-21 15:33:43

wmayer

Details Diff
issue 0001649: Changing names on Pads does not change them everywere Affected Issues
0001649
mod - src/Mod/PartDesign/Gui/TaskMirroredParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskTransformedParameters.h Diff File

FreeCAD: master 36b3d331

2016-10-21 15:38:45

wmayer

Details Diff
issue 0001649: Changing names on Pads does not change them everywere Affected Issues
0001649
mod - src/Mod/PartDesign/Gui/TaskLinearPatternParameters.cpp Diff File

FreeCAD: master 991d7660

2016-10-21 15:40:26

wmayer

Details Diff
issue 0001649: Changing names on Pads does not change them everywere Affected Issues
0001649
mod - src/Mod/PartDesign/Gui/TaskScaledParameters.cpp Diff File

FreeCAD: master 9c49a0ba

2016-10-21 15:45:50

wmayer

Details Diff
issue 0001649: Changing names on Pads does not change them everywere Affected Issues
0001649
mod - src/Mod/PartDesign/Gui/TaskMultiTransformParameters.cpp Diff File

Issue History

Date Modified Username Field Change
2014-07-29 21:21 Sterna New Issue
2014-07-29 21:21 Sterna File Added: gearTest2.FCStd
2014-07-29 21:24 shoogen Note Added: 0004874
2014-07-30 11:08 wmayer Note Added: 0004878
2016-10-21 13:47 wmayer Note Added: 0007408
2016-10-21 13:48 wmayer Status new => closed
2016-10-21 13:48 wmayer Resolution open => fixed
2016-10-21 13:48 wmayer Fixed in Version => 0.17
2016-10-21 13:50 wmayer Changeset attached => FreeCAD Master master c92dbb32
2016-10-21 14:00 wmayer Changeset attached => FreeCAD Master master 58cb2e2d
2016-10-21 14:04 wmayer Changeset attached => FreeCAD Master master 36b3d331
2016-10-21 14:04 wmayer Changeset attached => FreeCAD Master master 991d7660
2016-10-21 14:08 wmayer Changeset attached => FreeCAD Master master 9c49a0ba
2017-01-17 18:13 wmayer Relationship added has duplicate 0002111